<div align="center">
<img src="https://s2.loli.net/2023/10/27/WzQ4JLNV5epKh6X.png" style="width:150px"/>
    <h1>Nova Admin</h1>
</div>

<div align="center">
    <img src="https://img.shields.io/github/license/chansee97/nova-admin"/>
    <img src="https://img.shields.io/github/stars/chansee97/nova-admin"/>
    <img src="https://img.shields.io/github/forks/chansee97/nova-admin"/>
</div>

<div align='center'>

  **English** |  [中文](./README.zh-CN.md)
</div>

## 🌈introduction

[Nova-admin](https://github.com/chansee97/nova-admin) A free and open-source template for middle platform/back-end based on Vue3, Vite4, Typescript, pinia, Naive UI, and Vue-Router to help improve the development efficiency of middle platform/back-end

## ⚡features

- **Latest popular technology stack** - Developed based on the latest technology stack such as Vue3, Vite, TypeScript, NaiveUI, Pinia, etc
- **Network request function encapsulation** - Perfect axios encapsulation and configuration, unified response processing and multi-scenario capability
- **Authority Control** - Perfect front and back-end authority management solution
- **Routing system** - Supports local static and dynamic routing
- **Component packaging** - Secondary packaging of components with high frequency of daily use to meet basic workrequirements
- **Theme Configuration** - Dark Theme Adaptation
- **Code Specification** - Only perform eslint verification at commit time, no too many restrictions, easier development

## 😎project preview & display

- [Nova-Admin preview](https://admin-nova.vercel.app/)

![image.png](https://s2.loli.net/2023/10/10/YATI4y9kNOFDr6i.png)
![image.png](https://s2.loli.net/2023/10/10/2D7o5hpdTVlOY3y.png)
![image.png](https://s2.loli.net/2023/10/10/tmRANIG7JkFUS9K.png)
![image.png](https://s2.loli.net/2023/10/10/cy8nrv1kSLpjCT9.png)
![image.png](https://s2.loli.net/2023/10/10/rACdG2fUI6oJN7H.png)

## 💎related projects

- [Nova-admin-nest](https://github.com/chansee97/nove-admin-nest) (under development) Nova-Admin supporting background project based on TS, NestJs, typeorm

## 🚧install and use

The local development environment is recommended to use pnpm 8.x, Node.js 16.x

```bash
# install dependencies
pnpm i

# Run
pnpm dev

# Build product
pnpm build

```

## 🙌 learn to communicate

Nova-Admin is a completely open-source and free project. It is still being optimized and iterated. It is designed to help developers more conveniently develop medium and large management systems. If you have any questions, please ask questions in the QQ exchange group.

![image.png](https://s2.loli.net/2023/08/26/PQJjURT7V46Lw2d.png)

## 🧩contribution

If you find any issues or have suggestions for improvement, please create an issue or submit a PR. We welcome your contributions!

## 🤗support

If you feel that this project is helpful for your work or study, please help me order a ✨ Star, which will be a great encouragement and support for me, or you can buy me a cup of coffee below

![sponsor](https://cdn.jsdelivr.net/gh/chansee97/static/sponsor.png)

## 🧾License

[MIT](LICENSE)
